Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Functions
for_each.hpp File Reference

## Typedefs
template<typename I , typename F >
using | ranges::for_each_result = detail::in_fun_result< I, F >

## Functions
template<typename I , typename S , typename F , typename P = identity>
for_each_result< I, F > | ranges::for_each (I first, S last, F fun, P proj=P{})
| function template `for_each` More...
template<typename Rng , typename F , typename P = identity>
for_each_result< borrowed_iterator_t< Rng >, F > | ranges::for_each (Rng &&rng, F fun, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...